import hyperion
import time
import colorsys

# Get the parameters
rotationTime = float(hyperion.args.get('rotation-time', 12.0))
color1 = (200,0,0)
color2 = (0,200,0)


# Check parameters
rotationTime = max(0.1, rotationTime)


# Initialize the led data
counter = 1
ledData = bytearray()


# Calculate the sleep time
sleepTime = rotationTime / hyperion.ledCount


# Start the write data loop
#for x in range(1):
while not hyperion.abort():
        for i in range(1,(hyperion.ledCount+2)):
                time.sleep(sleepTime)
                ledData = bytearray()
                for j in range(1,counter):
                        ledData += bytearray(color1)
                for k in range(counter,(hyperion.ledCount+1)):
                        ledData += bytearray(color2)
                hyperion.setColor(ledData)                      
                counter = counter + 1
        time.sleep(4)
        counter = 1
        for i in range(1,(hyperion.ledCount+2)):
                time.sleep(sleepTime)
                ledData = bytearray()
                for j in range(1,counter):
                        ledData += bytearray(color2)
                for k in range(counter,(hyperion.ledCount+1)):
                        ledData += bytearray(color1)
                hyperion.setColor(ledData)                      
                counter = counter + 1
        time.sleep(4)
        counter = 1
